=== debian/control ===
Source: ros-iron-cartographer-rviz
Section: misc
Priority: optional
Maintainer: Chris Lalancette <clalancette@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), libabsl-dev, libboost-iostreams-dev, libeigen3-dev, ros-iron-ament-cmake, ros-iron-cartographer, ros-iron-cartographer-ros, ros-iron-cartographer-ros-msgs, ros-iron-pluginlib, ros-iron-rclcpp, ros-iron-rviz-common, ros-iron-rviz-ogre-vendor, ros-iron-rviz-rendering, ros-iron-ros-workspace
Homepage: https://github.com/cartographer-project/cartographer_ros
Standards-Version: 3.9.2

Package: ros-iron-cartographer-rviz
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libabsl-dev, libboost-iostreams-dev, libeigen3-dev, ros-iron-cartographer, ros-iron-cartographer-ros, ros-iron-cartographer-ros-msgs, ros-iron-pluginlib, ros-iron-rclcpp, ros-iron-rviz-common, ros-iron-rviz-ogre-vendor, ros-iron-rviz-rendering, ros-iron-ros-workspace
Description: Cartographer is a system that provides real-time simultaneous localization and mapping (SLAM) in 2D and 3D across multiple platforms and sensor configurations.
 This package provides Cartographer's RViz integration.
